Modify

Opened 11 years ago

Closed 9 years ago

#1332 closed enhancement (wontfix)

patches to asterisk 1.2.14 for SIP codec negotiation and transconing evasion

Reported by: chris@… Owned by: developers
Priority: normal Milestone:
Component: packages Version:
Keywords: Cc:

Description

I have ported the patches described here to the lastest openwrt trunk. All works well for me.

The patches improve the SIP codec negotiation, ensuring that if possible that transcoding is avoided. this is particularly important when using such small devices as wrg54g(s). I am now running mine without any codecs loaded at all.

I understand that these patches will make it in to asterisk 1.4 trunk soon

there are two patches (1) codec-negotiation, and (2) evade-transcoding
patch (2) is dependent on patch (1)

  1. codec-negotation
  2. evade-transcoding dependant on patch (1) above

Attachments (3)

80-codecNegotiation.patch (145.1 KB) - added by chris@… 11 years ago.
codec negotation patch
90-evadeTranscoding.patch (9.1 KB) - added by anonymous 11 years ago.
evade transcoding patch
090-asterisk-1.4.11-codec-negotiation-20070831.patch (158.5 KB) - added by chris@… 10 years ago.

Download all attachments as: .zip

Change History (8)

Changed 11 years ago by chris@…

codec negotation patch

Changed 11 years ago by anonymous

evade transcoding patch

comment:1 Changed 11 years ago by h_surjuse@…

Hello Chris,

If you have some time can you please make this patch for Asterisk 1.4.4.
Thanks

comment:2 Changed 10 years ago by chris@…

I have found that thsi patch is being actively maintained here
http://www.b2bua.org/wiki/AsteriskCodecNegotiationPatch

comment:3 Changed 10 years ago by chris@…

Note: both patches have been rolled into one

And since they are actively maintained, by sippy, I would urge that they are included in the asterisk patches for openwrt - they save heaps of CPU time and improve the overall quality of the call. It makes running asterisk on openwrt truly viable

comment:4 Changed 10 years ago by chris@…

I have just pulled the 1.4.11 patch and applied it to trunk, works well. I have attached it for anyone else that needs it - Cheers

comment:5 Changed 9 years ago by zandbelt

  • Resolution set to wontfix
  • Status changed from new to closed

the 1.2.x branch will most probably be dropped when 1.6.x is included; please update any 1.4 patches against the current 1.4.x trunk in a new ticket

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.